##############################################################################
#
# LICENSE:
# This code is bound to be ugly, have mistakes,
# and generally just be plain _wrong_.
#
# What do you care though?  It works, and you
# got it for free. ;-)  Feel free to make any
# changes and re-releases.
#
# Additionally it complies with the terms of the Zope Public License,
# Version 2.0 (ZPL)
#
##############################################################################

__doc__='''O2DB Product Initialization by (-:fs)'''
__version__='$Revision: 0.5.5 $'[11:-2]

from zopeAssists import O2DBFolder, manage_addO2DBFolder, manage_addO2DBFolderForm

from zopeClasses import Book, manage_addBook, manage_addBookForm
from zopeClasses import Contact, manage_addContact, manage_addContactForm
from zopeClasses import SoundCarrier, manage_addSoundCarrier, manage_addSoundCarrierForm

from OFS import Application

def initialize(context):
    
    context.registerClass(Book,
                          constructors=(manage_addBookForm, manage_addBook),
                          icon = 'www/book.gif')
    context.registerClass(Contact,
                          constructors=(manage_addContactForm, manage_addContact),
                          icon = 'www/contact.gif')
    context.registerClass(SoundCarrier,
                          constructors=(manage_addSoundCarrierForm, manage_addSoundCarrier),
                          icon = 'www/soundCarrier.gif')

    Application.removeProductMetaTypes('O2DB')

    context.registerClass(O2DBFolder,
                          constructors=(manage_addO2DBFolderForm, manage_addO2DBFolder),
                          icon = 'www/o2dbFolder.gif')


    context.registerHelp()
    context.registerHelpTitle('O2DB Help')

